Bug 118308 - Incorrect Paste Special dialog when pasting content from another cell
Summary: Incorrect Paste Special dialog when pasting content from another cell
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: high major
Assignee: Henry Castro
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-06-21 16:20 UTC by Xisco Faulí
Modified: 2020-06-17 15:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
How it looks in LibreOffice 6.2 master (22.08 KB, image/png)
2018-06-21 16:20 UTC, Xisco Faulí
Details
How it looks in LibreOffice 6.0.4.2 (31.39 KB, image/png)
2018-06-21 16:21 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-06-21 16:20:57 UTC
Created attachment 143003 [details]
How it looks in LibreOffice 6.2 master

Steps to reproduce:
1. Open calc
2. Add some content to A1
3. Copy A1
4. Open a new spreadsheet
5. Paste Special it

-> The wrong dialog is displayed

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 370a30b6acc5b99b6046440f6b5f4f3f5f9f4b1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2018-06-21 16:21:18 UTC
Created attachment 143004 [details]
How it looks in LibreOffice 6.0.4.2
Comment 2 Xisco Faulí 2018-06-21 16:22:38 UTC
Regression introduced by:

author	Henry Castro <hcastro@collabora.com>	2018-05-06 22:40:05 -0400
committer	Eike Rathke <erack@redhat.com>	2018-05-23 13:19:20 +0200
commit	a2e6f31c6f90e446d1462e7c80f6b1317f7825bc (patch)
tree	3e009520526d97336d29ba6a45fb1ff22e7b14f5
parent	40cf5a9b3dd619a650a94d8b65bf6987125b75fb (diff)
tdf#117228: crash in SfxItemSet::GetItemState...
(unsigned short, bool, SfxPoolItem const**) when pasting comment of closed document

Re-work commit 1b7a8277aa3e9f73ccdf15e933a1ee3b42849a44.

In the tiled rendering case, each view has its own clipboard,
but  not in desktop version which it has a shared clipboard each view.


Bisected with: bibisect-linux64-6.1

Adding Cc: to Henry Castro
Comment 3 Commit Notification 2018-06-27 11:45:22 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9652803096b68a33702601aac52e78c8a4250c6

tdf#118308: Incorrect Paste Special dialog when ...

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xavier Van Wijmeersch 2018-06-27 19:21:49 UTC
thx verified and its working

Version: 6.2.0.0.alpha0+
Build ID: e5c8f2ba40223b67c7205b6f06da3aa344ed0e97
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 5 Commit Notification 2018-07-04 19:56:47 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c2f1a228e297398f3d7eb3140b4c1878f67b7a9&h=libreoffice-6-1

tdf#118308: Incorrect Paste Special dialog when ...

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xavier Van Wijmeersch 2018-07-05 13:22:57 UTC
also working with

Version: 6.1.0.1.0+
Build ID: 7d0426a26f59ecf19a5e58b1554af884ddc56948
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 7 Xisco Faulí 2018-07-05 13:45:36 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 0e83efbccc180c957f77291fc0fdc6dd74eae0f4
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Henry, thanks for fixing this!!

@Henry, Should it be closed as RESOLVED FIXED ?
Comment 8 Henry Castro 2018-07-05 13:49:36 UTC
>> Henry, Should it be closed as RESOLVED FIXED ?
Yes, after verified, we can close it.  Thanks